# -*- coding: utf-8 -*-
###########################################################################
# Eole NG - 2007  
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr 
#  
# Action filtrage_bayes
#  
# Affiche une évaluation d'une page depuis une url saisi
#       
###########################################################################
""" Action d'affichage d'aide """
from twisted.python import log
from ead2.backend.lib.action import * # import des actions et des types
from ead2.backend.actions.tools import get_request, make_form_link
from ead2.backend.actions.tools import format_form_result
from ead2.lib.libead import uni
import urllib
def get_help(page=''):
    """ renvoie le contenu de la page d'aide"""
    return urllib.quote("""<div>ALLONS Y MES AMIS <br /> Pour configurer......... DEDELPDEPLDPELPDLPELDPLEP DLPELDPLPELDPELPDL PELDPLEPDLPELDPLPELDPDLEP DLPELPLPLPDLPELPLPLPDLEPLPLDEL DE..ZL?SZKLDPEFCNRFPLRKPFLRPLfdPl epdlepldplel.XPLXPLEPDLPZlspl LLSLZSPLZPLSSzplsplp zuhuahquhauahqqqqqqqqqqqqqqqqq qqqqqqqqqqqqqqqqqqqqqqq</div>""")

class Help(Action):
    """ affiche une aide pour les actions en cour de traitement """
    user_description = Dict(default={}, doc="description de l'éxécutant", keys=['ip', 'name'])
    name = 'help'
    libelle = "Aide"
    description = "Aide de l'Ead"
    category = None
    request = Dict(default={}, doc="arguments de la requete en cour cote frontend",
                                keys=['server', 'action', 'help', 'agent', 'help_page'])

    def execute(self):
        """ renvoit les données pour la mise en forme des actions """
        params, self.server_nb = get_request(self.request)
        result = {'titre': self.description}
        if params.has_key('agent'):
            result['object'] = params['agent'][0]
            result['titre'] = "Agent de surveillance du service"
        if params.has_key('help_page'):
            result['help_page'] = get_help(params['help_page'][0])
        log.msg(result)
        d = {'template':'aide', 'data':{'content':result}}
        return 0, uni(str(d))
