# -*- coding: utf-8 -*-
###########################################################################
# Eole NG - 2007  
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr 
#  
# liste des fichiers utilises par les actions du serveur de commande
#  
# nomDuDico = nomDeAction
#       
###########################################################################

from os.path import join
from ead2.backend.config.config import CONFIG_DIR, TEMP_DIR, MAJ_TEMP_DIR, BACULA_TEMP_DIR, EAD_TEMP_DIR
#CONFIG_DIR = './'

#dg_reload = '/usr/sbin/dansguardian -r'
dg_reload = '/etc/init.d/dansguardian reload &>/dev/null'
dg_restart  = '/etc/init.d/dansguardian restart &>/dev/null'
ajout_filtres = '/usr/share/eole/ajout_filtres.sh'
index = {'blacklist':'/var/www/ead/tmp/blacklist-date.txt'}
navigation_access = {'forbidden_poste':'/var/www/ead/tmp/horaires_ip.txt',
                    'all_forbidden_poste':"/var/www/ead/tmp/poste.txt",
                    'filtergroupslist':'/var/lib/blacklists/local/filtergroupslist',
                    'greylist':'/var/lib/blacklists/local/liste_blanche/greysitelist'
                    }
navigation_filters = { 'filtres_opt':'/etc/squid/filtres-opt',
        'filtres_users':'/etc/squid/filtres-users',
        'p2p_status':'/var/www/ead/tmp/kill-p2p',
        'dans_status':'/var/www/ead/tmp/filtrage-contenu',
        'blacklist':'/var/lib/blacklists/local/domains',
        'whitelist':'/var/lib/blacklists/local/white',
        'extensions':'/var/lib/blacklists/local/extensions',
        'mime':'/var/lib/blacklists/local/types_mime',
        'list_mime':join(CONFIG_DIR, 'mime_liste.txt'),
        'signalement_msg':join(CONFIG_DIR, 'signalement_msg.txt')
        }
journal_filename = join(TEMP_DIR, 'journal')
maj = {'maj':join(MAJ_TEMP_DIR, 'maj.txt'),
       'auto':join(MAJ_TEMP_DIR, 'cron.txt'),
       'rapport':join(EAD_TEMP_DIR, 'rapport-maj.html')#join(MAJ_TEMP_DIR, 'rapport-maj.txt')
      }
bacula = {'distant':join(BACULA_TEMP_DIR, 'bacula-distant.txt'),
            'usb':join(BACULA_TEMP_DIR, 'bacula-usb.txt'),
            'rapport':join(BACULA_TEMP_DIR, 'rapport-bacula.txt')
        }
navigation_visit = { 'dansguardian_log':'/var/log/dansguardian' }
# fichier de config pour les reglages de securite
securite = {'regles':"/var/www/ead/tmp/regles.csv", 'poste':"/var/www/ead/tmp/poste.txt", 
            'interdits':"/var/www/ead/tmp/destination.txt", 'p2p':"/var/www/ead/tmp/kill-p2p",
            'horaire':"/var/www/ead/tmp/horaires.txt"}
# fichier de config du serveur de test de bande passante
bande_passante = {'server':join(TEMP_DIR, 'bp_server.txt'), 'record':join(TEMP_DIR, 'bp_record.txt')}
# rapport d'extraction
rapport_extraction = "/var/www/ead/extraction/tmp/rapport.txt"
# outil de recuperation des clients connectes au domaine samba
get_client_scribe_script = "/usr/share/eole/controlevnc/manage_stations.py"
